	function cspi(s,t)
c     returns cex e111 parameterization of cross-section for pizeros at s and t
c
	include '/u1/gcf/e350/crystal/cb/type'
	real neut2
c
	data alpha0/.481/,alpha1/.928/,alpha2/.205/,b1/5.20/,b2/6.16/,
& t0/-.542/,beta1/2340./,beta2/2.34e5/,beta3/-.77e5/,beta4/11.6e5/,
& neut2/.8828/
c
	alpha=alpha0+alpha1*t+alpha2*t**2
	vnu=(2.*s+t-amp2-neut2-am2i-am2j)/(4.*sqrt(amp2))
	beta=beta1*exp(b1*t)-t*(t-t0)**2*(beta2+beta3*t+beta4*t**2)*
& exp(b2*t)
	cspi=beta*vnu**(2.*alpha-2.)
	return
	end
